#
# The following are for setting channel parameters
# in user space
#

record( ao, "$(DEVNAME):Ch$(CHANNUM):VSet")
{
	field( DESC, "Voltage Set value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "Volt")
	field( PINI, "YES")
	field( OUT,  "$(DEVNAME):Ch$(CHANNUM):VSet_write PP")
}
record( ao, "$(DEVNAME):Ch$(CHANNUM):VSet_write")
{
     field( SDIS, "$(DEVNAME):Ch$(CHANNUM):VSet_Sync.PACT")
     field( DISV, "1")
	 field( DTYP, "CAEN NDT Parameter")
     field( OUT,  "@$(DEVNAME):Ch$(CHANNUM):VSET")
}
record( ai, "$(DEVNAME):Ch$(CHANNUM):VSet_RBV")
{
	field( DTYP, "CAEN NDT Parameter")
	field( INP,  "@$(DEVNAME):Ch$(CHANNUM):VSET")
	field( SCAN, ".5 second")
	field( FLNK, "$(DEVNAME):Ch$(CHANNUM):VSet_Sync")
}
record( ao, "$(DEVNAME):Ch$(CHANNUM):VSet_Sync")
{
	field( DOL,  "$(DEVNAME):Ch$(CHANNUM):VSet_RBV NPP")
	field( OMSL, "closed_loop")
	field( OUT,  "$(DEVNAME):Ch$(CHANNUM):VSet PP")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):VMin")
{
	field( DESC, "VSet minimum value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "Volt")
	field( PINI, "YES")
	field( SCAN, "I/O Intr")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):VMax")
{
	field( DESC, "VSet maximum value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "Volt")
	field( PINI, "YES")
	field( SCAN, "I/O Intr")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):VDec")
{
	field( DESC, "VSet nr of decimal digits")
	field( DTYP, "CAEN NDT Parameter")
	field( PINI, "YES")
	field( SCAN, "I/O Intr")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):VMon")
{
	field( DESC, "Voltage Monitor value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "Volt")
	field( PINI, "YES")
	field( SCAN, ".5 second")
}

record( ao, "$(DEVNAME):Ch$(CHANNUM):ISet")
{
	field( DESC, "Current Set value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "uAmpere")
	field( PINI, "YES")
	field( OUT,  "$(DEVNAME):Ch$(CHANNUM):ISet_write PP")
}
record( ao, "$(DEVNAME):Ch$(CHANNUM):ISet_write")
{
     field( SDIS, "$(DEVNAME):Ch$(CHANNUM):ISet_Sync.PACT")
     field( DISV, "1")
	 field( DTYP, "CAEN NDT Parameter")
     field( OUT,  "@$(DEVNAME):Ch$(CHANNUM):ISET")
}
record( ai, "$(DEVNAME):Ch$(CHANNUM):ISet_RBV")
{
	field( DTYP, "CAEN NDT Parameter")
	field( INP,  "@$(DEVNAME):Ch$(CHANNUM):ISET")
	field( SCAN, ".5 second")
	field( FLNK, "$(DEVNAME):Ch$(CHANNUM):ISet_Sync")
}
record( ao, "$(DEVNAME):Ch$(CHANNUM):ISet_Sync")
{
	field( DOL,  "$(DEVNAME):Ch$(CHANNUM):ISet_RBV NPP")
	field( OMSL, "closed_loop")
	field( OUT,  "@$(DEVNAME):Ch$(CHANNUM):ISet PP")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):IMin")
{
	field( DESC, "ISet minimum value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "uAmpere")
	field( PINI, "YES")
	field( SCAN, "I/O Intr")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):IMax")
{
	field( DESC, "ISet maximum value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "uAmpere")
	field( PINI, "YES")
	field( SCAN, "I/O Intr")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):ISDec")
{
	field( DESC, "ISet nr of decimal digits")
	field( DTYP, "CAEN NDT Parameter")
	field( PINI, "YES")
	field( SCAN, "I/O Intr")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):IMon")
{
	field( DESC, "Current Monitor value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "uAmpere")
	field( PINI, "YES")
	field( SCAN, ".5 second")
}

record( bo, "$(DEVNAME):Ch$(CHANNUM):IMRange")
{
	field( DESC, "IMon Range value")
	field( DTYP, "CAEN NDT Parameter")
	field( ZNAM, "HI")
	field( ONAM, "LOW")
	field( PINI, "YES")
	field( OUT,  "$(DEVNAME):Ch$(CHANNUM):IMRange_write PP")
}
record( bo, "$(DEVNAME):Ch$(CHANNUM):IMRange_write")
{
     field( SDIS, "$(DEVNAME):Ch$(CHANNUM):IMRange_Sync.PACT")
     field( DISV, "1")
	 field( DTYP, "CAEN NDT Parameter")
     field( OUT,  "@$(DEVNAME):Ch$(CHANNUM):IMRANGE")
}
record( bi, "$(DEVNAME):Ch$(CHANNUM):IMRange_RBV")
{
	field( DTYP, "CAEN NDT Parameter")
	field( INP,  "@$(DEVNAME):Ch$(CHANNUM):IMRANGE")
	field( SCAN, ".5 second")
	field( FLNK, "$(DEVNAME):Ch$(CHANNUM):IMRange_Sync")
}
record( bo, "$(DEVNAME):Ch$(CHANNUM):IMRange_Sync")
{
	field( DOL,  "$(DEVNAME):Ch$(CHANNUM):IMRange_RBV NPP")
	field( OMSL, "closed_loop")
	field( OUT,  "$(DEVNAME):Ch$(CHANNUM):IMRange PP")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):IMDec")
{
	field( DESC, "IMon nr of decimal digits")
	field( DTYP, "CAEN NDT Parameter")
	field( PINI, "YES")
	field( SCAN, ".5 second")
}

record( ao, "$(DEVNAME):Ch$(CHANNUM):MaxV")
{
	field( DESC, "MaxVSet value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "Volt")
	field( PINI, "YES")
	field( OUT,  "$(DEVNAME):Ch$(CHANNUM):MaxV_write PP")
}
record( ao, "$(DEVNAME):Ch$(CHANNUM):MaxV_write")
{
     field( SDIS, "$(DEVNAME):Ch$(CHANNUM):MaxV_Sync.PACT")
     field( DISV, "1")
	 field( DTYP, "CAEN NDT Parameter")
     field( OUT,  "@$(DEVNAME):Ch$(CHANNUM):MAXV")
}
record( ai, "$(DEVNAME):Ch$(CHANNUM):MaxV_RBV")
{
	field( DTYP, "CAEN NDT Parameter")
	field( INP,  "@$(DEVNAME):Ch$(CHANNUM):MAXV")
	field( SCAN, ".5 second")
	field( FLNK, "$(DEVNAME):Ch$(CHANNUM):MaxV_Sync")
}
record( ao, "$(DEVNAME):Ch$(CHANNUM):MaxV_Sync")
{
	field( DOL,  "$(DEVNAME):Ch$(CHANNUM):MaxV_RBV NPP")
	field( OMSL, "closed_loop")
	field( OUT,  "$(DEVNAME):Ch$(CHANNUM):MaxV PP")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):MVMin")
{
	field( DESC, "MaxVSet minimum value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "Volt")
	field( PINI, "YES")
	field( SCAN, "I/O Intr")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):MVMax")
{
	field( DESC, "MaxVSet maximum value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "Volt")
	field( PINI, "YES")
	field( SCAN, "I/O Intr")
}

record( ao, "$(DEVNAME):Ch$(CHANNUM):RUp")
{
	field( DESC, "Ramp Up value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "Volt/s")
	field( PINI, "YES")
	field( OUT,  "$(DEVNAME):Ch$(CHANNUM):RUp_write PP")
}
record( ao, "$(DEVNAME):Ch$(CHANNUM):RUp_write")
{
     field( SDIS, "$(DEVNAME):Ch$(CHANNUM):RUp_Sync.PACT")
     field( DISV, "1")
	 field( DTYP, "CAEN NDT Parameter")
     field( OUT,  "@$(DEVNAME):Ch$(CHANNUM):RUP")
}
record( ai, "$(DEVNAME):Ch$(CHANNUM):RUp_RBV")
{
	field( DTYP, "CAEN NDT Parameter")
	field( INP,  "@$(DEVNAME):Ch$(CHANNUM):RUP")
	field( SCAN, ".5 second")
	field( FLNK, "$(DEVNAME):Ch$(CHANNUM):RUp_Sync")
}
record( ao, "$(DEVNAME):Ch$(CHANNUM):RUp_Sync")
{
	field( DOL,  "$(DEVNAME):Ch$(CHANNUM):RUp_RBV NPP")
	field( OMSL, "closed_loop")
	field( OUT,  "$(DEVNAME):Ch$(CHANNUM):RUp PP")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):RUpMin")
{
	field( DESC, "RUp minimum value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "Volt/s")
	field( PINI, "YES")
	field( SCAN, "I/O Intr")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):RUpMax")
{
	field( DESC, "RUp maximum value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "Volt/s")
	field( PINI, "YES")
	field( SCAN, "I/O Intr")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):RUpDec")
{
	field( DESC, "RUp nr of decimal digits")
	field( DTYP, "CAEN NDT Parameter")
	field( PINI, "YES")
	field( SCAN, "I/O Intr")
}

record( ao, "$(DEVNAME):Ch$(CHANNUM):RDw")
{
	field( DESC, "Ramp Down value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "Volt/s")
	field( PINI, "YES")
	field( OUT,  "$(DEVNAME):Ch$(CHANNUM):RDw_write PP")
}
record( ao, "$(DEVNAME):Ch$(CHANNUM):RDw_write")
{
     field( SDIS, "$(DEVNAME):Ch$(CHANNUM):RDw_Sync.PACT")
     field( DISV, "1")
	 field( DTYP, "CAEN NDT Parameter")
     field( OUT,  "@$(DEVNAME):Ch$(CHANNUM):RDW")
}
record( ai, "$(DEVNAME):Ch$(CHANNUM):RDw_RBV")
{
	field( DTYP, "CAEN NDT Parameter")
	field( INP,  "@$(DEVNAME):Ch$(CHANNUM):RDW")
	field( SCAN, ".5 second")
	field( FLNK, "$(DEVNAME):Ch$(CHANNUM):RDw_Sync")
}
record( ao, "$(DEVNAME):Ch$(CHANNUM):RDw_Sync")
{
	field( DOL,  "$(DEVNAME):Ch$(CHANNUM):RDw_RBV NPP")
	field( OMSL, "closed_loop")
	field( OUT,  "@$(DEVNAME):Ch$(CHANNUM):RDw PP")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):RDwMin")
{
	field( DESC, "RDw minimum value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "Volt/s")
	field( PINI, "YES")
	field( SCAN, "I/O Intr")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):RDwMax")
{
	field( DESC, "RDw maximum value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "Volt/s")
	field( PINI, "YES")
	field( SCAN, "I/O Intr")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):RDwDec")
{
	field( DESC, "RDw nr of decimal digits")
	field( DTYP, "CAEN NDT Parameter")
	field( PINI, "YES")
	field( SCAN, "I/O Intr")
}

record( ao, "$(DEVNAME):Ch$(CHANNUM):Trip")
{
	field( DESC, "Trip time value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "s")
	field( PINI, "YES")
	field( OUT,  "$(DEVNAME):Ch$(CHANNUM):Trip_write PP")
}
record( ao, "$(DEVNAME):Ch$(CHANNUM):Trip_write")
{
     field( SDIS, "$(DEVNAME):Ch$(CHANNUM):Trip_Sync.PACT")
     field( DISV, "1")
	 field( DTYP, "CAEN NDT Parameter")
     field( OUT,  "@$(DEVNAME):Ch$(CHANNUM):TRIP")
}
record( ai, "$(DEVNAME):Ch$(CHANNUM):Trip_RBV")
{
	field( DTYP, "CAEN NDT Parameter")
	field( INP,  "@$(DEVNAME):Ch$(CHANNUM):TRIP")
	field( SCAN, ".5 second")
	field( FLNK, "$(DEVNAME):Ch$(CHANNUM):Trip_Sync")
}
record( ao, "$(DEVNAME):Ch$(CHANNUM):Trip_Sync")
{
	field( DOL,  "$(DEVNAME):Ch$(CHANNUM):Trip_RBV NPP")
	field( OMSL, "closed_loop")
	field( OUT,  "@$(DEVNAME):Ch$(CHANNUM):Trip PP")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):TripMin")
{
	field( DESC, "Trip time minimum value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "s")
	field( PINI, "YES")
	field( SCAN, "I/O Intr")
}

record( ai, "$(DEVNAME):Ch$(CHANNUM):TripMax")
{
	field( DESC, "Trip time maximum value")
	field( DTYP, "CAEN NDT Parameter")
	field( EGU,  "s")
	field( PINI, "YES")
	field( SCAN, "I/O Intr")
}

record( bo, "$(DEVNAME):Ch$(CHANNUM):PDwn")
{
	field( DESC, "Power Down value")
	field( DTYP, "CAEN NDT Parameter")
	field( ZNAM, "RAMP")
	field( ONAM, "KILL")
	field( PINI, "YES")
	field( OUT,  "$(DEVNAME):Ch$(CHANNUM):PDwn_write PP")
}
record( bo, "$(DEVNAME):Ch$(CHANNUM):PDwn_write")
{
     field( SDIS, "$(DEVNAME):Ch$(CHANNUM):PDwn_Sync.PACT")
     field( DISV, "1")
	 field( DTYP, "CAEN NDT Parameter")
     field( OUT,  "@$(DEVNAME):Ch$(CHANNUM):PDWN")
}
record( bi, "$(DEVNAME):Ch$(CHANNUM):PDwn_RBV")
{
	field( DTYP, "CAEN NDT Parameter")
	field( INP,  "@$(DEVNAME):Ch$(CHANNUM):PDWN")
	field( SCAN, ".5 second")
	field( FLNK, "$(DEVNAME):Ch$(CHANNUM):PDwn_Sync")
}
record( bo, "$(DEVNAME):Ch$(CHANNUM):PDwn_Sync")
{
	field( DOL,  "$(DEVNAME):Ch$(CHANNUM):PDwn_RBV NPP")
	field( OMSL, "closed_loop")
	field( OUT,  "@$(DEVNAME):Ch$(CHANNUM):PDwn PP")
}

record( bi, "$(DEVNAME):Ch$(CHANNUM):Pol")
{
	field( DESC, "Polarity value")
	field( DTYP, "CAEN NDT Parameter")
	field( ZNAM, "+")
	field( ONAM, "-")
	field( PINI, "YES")
	field( SCAN, "I/O Intr")
}

record( mbbiDirect, "$(DEVNAME):Ch$(CHANNUM):Stat")
{
	field( DESC, "Channel Status value")
	field( DTYP, "CAEN NDT Parameter")
	field( PINI, "YES")
	field( SCAN, ".5 second")
}

record( bo, "$(DEVNAME):Ch$(CHANNUM):On")
{
	field( DESC, "Channel Status value")
	field( DTYP, "CAEN NDT Parameter")
	field( PINI, "YES")
}

record( bo, "$(DEVNAME):Ch$(CHANNUM):Off")
{
	field( DESC, "Channel Status value")
	field( DTYP, "CAEN NDT Parameter")
	field( PINI, "YES")
}
